org.apache.sysds.runtime.controlprogram.parfor.util

## Class Cell

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.util.Cell

    public class Cell
    extends Object

Helper class for representing text cell and binary cell records in order to allow for buffering and buffered read/write. NOTE: could be replaced by IJV.class but used in order to ensure independence.

### Constructor Summary

Constructors
Constructor and Description
`Cell(long r, long c, double v)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCol()`
`long` `getRow()`
`double` `getValue()`
`void` `setCol(long col)`
`void` `setRow(long row)`
`void` `setValue(double value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cell

    public Cell(long r,
                long c,
                double v)

### Method Detail

#### getRow

    public long getRow()

#### getCol

    public long getCol()

#### getValue

    public double getValue()

#### setRow

    public void setRow(long row)

#### setCol

    public void setCol(long col)

#### setValue

    public void setValue(double value)